Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
Class PogoInterceptableSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.PogoInterceptableSite

All Implemented Interfaces:
  CallSite

    public class PogoInterceptableSite
    extends AbstractCallSite

Call site for GroovyInterceptable

Author:
  Alex Tkachman

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite
`array, index, name, usage`

Constructor Summary
Constructor and Description
`PogoInterceptableSite(CallSite site)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`Object` | `call(Object receiver, Object[] args)`
`Object` | `callCurrent(GroovyObject receiver, Object[] args)`
`Object` | `invoke(Object receiver, Object[] args)`

Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite
`acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PogoInterceptableSite

    public PogoInterceptableSite(CallSite site)

Method Detail

### invoke

    public final Object invoke(Object receiver,
                               Object[] args)
                        throws Throwable

  Throws:
    `Throwable`

### call

    public final Object call(Object receiver,
                             Object[] args)
                      throws Throwable

  Specified by:
    `call` in interface `CallSite`
  Overrides:
    `call` in class `AbstractCallSite`
  Throws:
    `Throwable`

### callCurrent

    public Object callCurrent(GroovyObject receiver,
                              Object[] args)
                       throws Throwable

  Specified by:
    `callCurrent` in interface `CallSite`
  Overrides:
    `callCurrent` in class `AbstractCallSite`
  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD